Bug 727916 - Coverity scan revealed defects
Summary: Coverity scan revealed defects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcacard
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alon Levy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-08-03 16:11 UTC by Michal Luscon
Modified: 2011-12-06 15:25 UTC (History)
7 users (show)

Fixed In Version: libcacard-0.15.0-2.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed. The bug was filed during development and never affected customers. In "Additional info" of the Description, (#c0) it mentions that those coverity problems "were added between RHEL-6.1 and RHEL-6.2". Since these problems are fixed in RHEL-6.2, customers were never affected. Some coverity problems were found and fixed.
Clone Of:
Environment:
Last Closed: 2011-12-06 15:25:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1518 normal SHIPPED_LIVE libcacard and spice-client bug fix and enhancement update 2011-12-06 00:50:43 UTC

Description Michal Luscon 2011-08-03 16:11:06 UTC
Description of problem:

/qemu-0.15.0-rc0/libcacard/cac.c:269 - On this path, the condition "pki_applet_data == NULL" cannot be false.

/qemu-0.15.0-rc0/libcacard/vscclient.c:359 - Missing return in the true branch of "if (sock < 0)" statement. 

Version-Release number of selected component (if applicable):
0.15.0-rc0

Additional info:
These defects were added between RHEL-6.1 and RHEL-6.2 version of package.

Comment 16 Alon Levy 2011-11-21 10:30:13 UTC
Adding technical note.

Comment 17 Alon Levy 2011-11-21 10:30:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
some coverity problems were found and fixed.

Comment 18 Uri Lublin 2011-11-21 10:38:14 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,7 @@
-some coverity problems were found and fixed.+No documentation needed.
+
+The bug was filed during development and never affected customers.
+
+In "Additional info" of the Description, (#c0) it mentions that those coverity problems "were added between RHEL-6.1 and RHEL-6.2". Since these problems are fixed in RHEL-6.2, customers  were never affected.
+
+Some coverity problems were found and fixed.

Comment 19 errata-xmlrpc 2011-12-06 15:25:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1518.html


Note You need to log in before you can comment on or make changes to this bug.